import { FlagField, ModuleOutputFields } from "./pkg-analized";
import { BrowserBuildFormat, RollupSourcemap } from "./types";
export interface BundlibPkgInputOptions {
    input?: string | null;
    bin?: string | null;
}
export declare type BundlibPkgFlagOptions = Partial<Record<FlagField, boolean | null>>;
export declare type MinOption = ModuleOutputFields | ModuleOutputFields[] | boolean | null;
export interface BundlibPkgOtherOptions {
    sourcemap?: RollupSourcemap | null;
    browser?: BrowserBuildFormat | null;
    format?: BrowserBuildFormat | null;
    name?: string | null;
    id?: string | null;
    globals?: Record<string, string> | string[] | null;
    min?: MinOption;
    cache?: string | null;
}
export declare type BundlibOptions = BundlibPkgInputOptions & BundlibPkgFlagOptions & BundlibPkgOtherOptions;
export declare type OptionName = keyof BundlibOptions;
