import { BrowserBuildFormat, BundlibRollupOptions, BundlibRollupOutputOptions, ConfigExtra, FilterablePlugins, ModuleBuildFormat, RollupSourcemap } from "./types";
export declare function createConfig<E extends ConfigExtra>(input: string, output: BundlibRollupOutputOptions, externalOption: string[] | null, plugins: FilterablePlugins, extra?: E): BundlibRollupOptions & E;
export declare function createModuleConfig(input: string, format: ModuleBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, external: string[] | null, plugins: FilterablePlugins): BundlibRollupOptions;
export declare function createBrowserConfig(input: string, format: BrowserBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, plugins: FilterablePlugins, name: string, extend: boolean, globals: Record<string, string> | null, id: string | null): BundlibRollupOptions;
